Bug 232130 - palm/jpilot: Fix OpenSSL build
Summary: palm/jpilot: Fix OpenSSL build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks: 231931
  Show dependency treegraph
 
Reported: 2018-10-09 21:38 UTC by Nathan
Modified: 2018-12-09 07:08 UTC (History)
1 user (show)

See Also:
samm: maintainer-feedback+


Attachments
Fix OpenSSL 1.1.x build (784 bytes, patch)
2018-10-09 21:38 UTC, Nathan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan 2018-10-09 21:38:55 UTC
Created attachment 197978 [details]
Fix OpenSSL 1.1.x build

palm/jpilot: Fix OpenSSL build
 
 PR:             231931
 Submitted by:   Nathan <ndowens@yahoo.com>


After looking at the configure script, it also looks for gcrypt in order to enable openssl support. Adding libgcrypt.so fixed build for OpenSSL 1.1.x build 
This also fixes the japanese/jpilot build listed in PR:#231931
Comment 1 Oleksii Samorukov freebsd_committer 2018-10-14 16:03:58 UTC
Approved by maintainer, thank you
Comment 2 commit-hook freebsd_committer 2018-12-09 07:08:50 UTC
A commit references this bug:

Author: tobik
Date: Sun Dec  9 07:07:48 UTC 2018
New revision: 487027
URL: https://svnweb.freebsd.org/changeset/ports/487027

Log:
  palm/jpilot: Build with Clang

  - Switch to using libgcrypt since J-Pilot does not build with
    OpenSSL 1.1.1

  PR:		232130
  Submitted by:	ndowens@yahoo.com
  Approved by:	maintainer

Changes:
  head/palm/jpilot/Makefile